paso::Solver_RILU Struct Reference

RILU preconditioner. More...

`#include <Preconditioner.h>`

## Public Attributes

dim_t | n
dim_t | n_block
dim_t | n_F
dim_t | n_C
double * | inv_A_FF
index_t * | A_FF_pivot
SparseMatrix_ptr | A_FC
SparseMatrix_ptr | A_CF
index_t * | rows_in_F
index_t * | rows_in_C
index_t * | mask_F
index_t * | mask_C
double * | x_F
double * | b_F
double * | x_C
double * | b_C
Solver_RILU * | RILU_of_Schur

## Detailed Description

RILU preconditioner.

## Member Data Documentation

## A_CF

SparseMatrix_ptr paso::Solver_RILU::A_CF

## A_FC

SparseMatrix_ptr paso::Solver_RILU::A_FC

## A_FF_pivot

index_t* paso::Solver_RILU::A_FF_pivot

## b_C

double* paso::Solver_RILU::b_C

## b_F

double* paso::Solver_RILU::b_F

## inv_A_FF

double* paso::Solver_RILU::inv_A_FF

## mask_C

index_t* paso::Solver_RILU::mask_C

## mask_F

index_t* paso::Solver_RILU::mask_F

## n

dim_t paso::Solver_RILU::n

## n_block

dim_t paso::Solver_RILU::n_block

## n_C

dim_t paso::Solver_RILU::n_C

## n_F

dim_t paso::Solver_RILU::n_F

## RILU_of_Schur

Solver_RILU* paso::Solver_RILU::RILU_of_Schur

## rows_in_C

index_t* paso::Solver_RILU::rows_in_C

## rows_in_F

index_t* paso::Solver_RILU::rows_in_F

## x_C

double* paso::Solver_RILU::x_C

## x_F

double* paso::Solver_RILU::x_F

The documentation for this struct was generated from the following file:

- Preconditioner.h